Subject: bug#26851: 25.2; wrong color of character at cursor

From: Eli Zaretskii <[email-masked]>
Date: Fri, 12 May 2017 09:14:59 +0300

> From: [email-masked]
> Cc: [email-masked],  [email-masked]
> Date: Thu, 11 May 2017 17:40:28 -0400
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > I fixed this for w32, see commit e124e07 on master.  I suspect that
> > the same fix is required in xterm.c for X, could someone please check
> > that?
> 
> I'm not able to reproduce this on X, although maybe that's just luck?  I
> also fail to reproduce on Windows when replacing "pink" with other
> colours!?

Yes, the colors in the test case are not random; other colors don't
reproduce the problem, due to the intricacies of
frame-set-background-mode.

> The GTK build does show some scary looking messages (it works fine
> though).
> 
>     (emacs:16063): Gtk-CRITICAL **: gtk_widget_get_parent: assertion 'GTK_IS_WIDGET (widget)' failed
> 
>     (emacs:16063): Gtk-CRITICAL **: gtk_widget_override_background_color: assertion 'GTK_IS_WIDGET (widget)' failed

GTK issues are beyond me.

Thanks for testing, I guess the problem was w32-specific after all.